> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooklog By Id

> Gets an webhook log by its id



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/outbound_webhook/WebhookLog/{webhooklog_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/outbound_webhook/WebhookLog/{webhooklog_id}:
    get:
      tags:
        - Outbound Webhook
      summary: Get Webhooklog By Id
      description: Gets an webhook log by its id
      operationId: >-
        get_webhooklog_by_id_api_v1_outbound_webhook_WebhookLog__webhooklog_id__get
      parameters:
        - name: webhooklog_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhooklog Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_IWebhookLogRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_IWebhookLogRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IWebhookLogRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[IWebhookLogRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IWebhookLogRead:
      properties:
        webhook_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Webhook Id
        event_name:
          type: string
          title: Event Name
        body:
          additionalProperties: true
          type: object
          title: Body
          default: {}
        response_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Code
        response:
          anyOf:
            - type: string
            - type: 'null'
          title: Response
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - event_name
        - response_code
        - response
        - id
        - created_at
      title: IWebhookLogRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````